cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
In need of some #MondayMotivation? Read more

No support for iOS < 9 in Dropbox V2 API for Objective-C???

SOLVED
819 Views
12 Comments
1 Kudo
Highlighted
Level 3

No support for iOS < 9 in Dropbox V2 API for Objective-C???

Objective-C App on iOS simulator fails during authentication using an iOS 8 taget but works with iOS 10:

 

dyld: Symbol not found: _OBJC_CLASS_$_SFSafariViewController

 

 

I wasn't aware that iOS < 9 was not longer supported, but this appears to be the case as this class arrived in iOS 9.  If true will adjust deployment target accordingly.

 

Thanks

1 Accepted solution

Accepted Solutions
Solution
Dropboxer

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

Yes, we dropped support for iOS 8 support in v3.0.12. We had to do so to support some changes to the authorization flow. There's more information in the release log.

12 Replies
Solution
Dropboxer

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

Yes, we dropped support for iOS 8 support in v3.0.12. We had to do so to support some changes to the authorization flow. There's more information in the release log.

Level 3

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

OK, thanks, project and my release notes updated.
Level 4

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

Wow, this is too bad. I have an app that still proudly runs on the first iPad with iOS5. It is still fully functional and works well. With V2 and especially this change, the entire dropbox implementation will be useless. At the very least I was thinking maybe I could update just the dropbox part, but I guess not.

Level 4

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

So the dropbox app will not work either I gather? So anyone not running iOS9 is out of luck with dropbox?

Dropboxer

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

You're correct, Dropbox iOS app only supports iOS 9, so yes, anyone not running iOS 9 will not be able to use Dropbox.

 

But it's important to consider that this is an increasingly diminishing fraction of users. Less than 3% of users are on iOS 8 and less than 2% are on all other versions of iOS according to Apple.

Level 4

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

Thanks but this is pretty depressing. It has been such a reliable and great storage service for the older iPads. Really sorry to see it go.

Level 4

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

To the application engineers of Dropbox. Apple is forcing people to throw away perfectly good phones and pollute our environment and cost people a lot of money all to maintain their profit level. Please make an iOS 8 compatible version of Dropbox so we can keep using our phones. Thank you

Dropboxer

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

@Hank66 Thanks for the additional feedback!

Level 4

Re: No support for iOS < 9 in Dropbox V2 API for Objective-C???

That amounts to over 30 million iOS 8 users that no longer have access to Dropbox.